#!/usr/bin/python
# 
# Copyright (C) 2009, Intel Corporation.
# 
# This program is free software; you can redistribute it and/or modify it
# under the terms and conditions of the GNU General Public License,
# version 2, as published by the Free Software Foundation.
#
# This program is distributed in the hope it will be useful, but WITHOUT
# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
# FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
# for more details.  
#
# You should have received a copy of the GNU General Public License along with
# this program; if not, write to the Free Software Foundation, Inc., 59 Temple
# Place - Suite 330, Boston, MA 02111-1307 USA.
#
# Authors:
#              Hao, Chen <hao.h.chen@intel.com>
# Contributors:
#              Wei, Zhang <wei.z.zhang@intel.com> 
#

import sys
import re

HEADER_TAGS = ['0|', '5|', '30|', '40|']
TESTCASE_TAGS =['10|', '15|', '400|', '200|', '520|', '220|', '410|', '80|']
END_TAG = '900|'

def is_header(line):
    if (line[:2] in HEADER_TAGS) or (line[:3] in HEADER_TAGS):
	return True
    return False

def is_test_case(line):
    if (line[:3] in TESTCASE_TAGS) or (line[:4] in TESTCASE_TAGS):
	return True
    return False

def merge_journals(dest_journal, journal):
    try: 
	f = open(dest_journal, 'w')

        # merge from the first journal
        if len(journal) >= 1:
	    f1 = open(journal[0], 'r')
	    # Copy header and test cases from journal1 to dest_journal
	    for line in f1.readlines():
	        if is_header(line) or is_test_case(line):
		    f.write(line)
            f1.close()

        for i in range(len(journal))[1:]:
	    f2 = open(journal[i], 'r')
	    # Copy test cases and end tag from journal2 to dest_journal
	    for line in f2.readlines():
                if is_test_case(line) or (line[:4] == END_TAG):
                    f.write(line)
            f2.close()
	
        f.flush()
	f.close()
 
    except IOError:
        print  'can\'t open journal file.'
	
if __name__ == '__main__':
    # Merge journal files
    if (len(sys.argv) >= 4):
        dest_journal = sys.argv[1]
	merge_journals(dest_journal, sys.argv[2:])
    else:
        sys.stderr.write('Usage: %s destination_journal_file journal_file1 journal_file2 ...' % sys.argv[0])
        sys.exit(1)
