#!/usr/bin/python
# 
# Copyright (C) 2009, Intel Corporation.
# 
# This program is free software; you can redistribute it and/or modify it
# under the terms and conditions of the GNU General Public License,
# version 2, as published by the Free Software Foundation.
#
# This program is distributed in the hope it will be useful, but WITHOUT
# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
# FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
# for more details.  
#
# You should have received a copy of the GNU General Public License along with
# this program; if not, write to the Free Software Foundation, Inc., 59 Temple
# Place - Suite 330, Boston, MA 02111-1307 USA.
#
# Authors:
#              Wei, Zhang <wei.z.zhang@intel.com>
#

import sys
import os

sys.path.append('../../tetj/')
from tetj import *

from libpkgchk import libpkgchk
from svcpkgchk import svcpkgchk 

# Test body
def _test():
    # Check command line parameters
    if (len(sys.argv) == 3) and (sys.argv[1] == '-j'):
        journal_file = sys.argv[2]
    else:
        sys.stderr.write('Usage: %s -j journal_file\n' % sys.argv[0])
        sys.exit(1)

    try:
	journal = Journal(journal_file, 'Moblin Compliance Test')
    except  IOError:
        sys.stderr.write('Cannot create journal file : %s\n' % journal_file)
        sys.exit(1)

    journal.add_config('VSX_NAME=moblin compliance test suites(%s)' % journal.machine)
    journal.config_end()

    # libpkgchk and svcpkgchk
    # -----------------------
    libpkgchk (journal)
    svcpkgchk (journal)

    # close journal
    # =================
    journal.close()


if __name__ == '__main__':
    _test()
