#!/usr/bin/python
# 
# Copyright (C) 2009, Intel Corporation.
# 
# This program is free software; you can redistribute it and/or modify it
# under the terms and conditions of the GNU General Public License,
# version 2, as published by the Free Software Foundation.
#
# This program is distributed in the hope it will be useful, but WITHOUT
# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
# FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
# for more details.  
#
# You should have received a copy of the GNU General Public License along with
# this program; if not, write to the Free Software Foundation, Inc., 59 Temple
# Place - Suite 330, Boston, MA 02111-1307 USA.
#
# Authors:
#              Wei, Zhang <wei.z.zhang@intel.com>
#

import subprocess

#=======================================
# os shell executor, return stdout
def shell_exec1(cmd):

    cmdPopen = subprocess.Popen(args=cmd, shell=True, stdout=subprocess.PIPE)
	
    cmdPopen.wait()
	
    p = cmdPopen.stdout.read()

    return p.strip('\n')

#=======================================
# os shell executor, return stdout and stderr
def shell_exec2(cmd):

    cmdPopen = subprocess.Popen(args=cmd, shell=True, stdout=subprocess.PIPE, stderr=subprocess.PIPE)
	
    cmdPopen.wait()
	
    p = cmdPopen.stdout.read() + cmdPopen.stderr.read()

    return p.strip('\n')

#=======================================
# os shell executor, return [exitcode, stdout and stderr]
def shell_exec3(cmd):

    cmdPopen = subprocess.Popen(args=cmd, shell=True, stdout=subprocess.PIPE, stderr=subprocess.PIPE)
	
    exit_code = cmdPopen.wait()
	
    p = cmdPopen.stdout.read() + cmdPopen.stderr.read()

    return [exit_code, p.strip('\n')]

